package org.toastedtruth.json.gui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.EventQueue;
import java.awt.Toolkit;

import javax.swing.JFrame;
import javax.swing.JMenuBar;
import javax.swing.JToolBar;
import javax.swing.UIManager;

public class Main {

    public static String FILE_NAME = "New JSON File.json";

    private JFrame mainFrame;
    protected static final String VERSION = "v0.9.1";

    /**
     * Launch the application.
     */
    public static void main(String[] args) {
        EventQueue.invokeLater(new Runnable() {
            public void run() {
                try {
                    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                    Main window = new Main();
                    window.mainFrame.setTitle("JSON GUI");
                    window.mainFrame.setVisible(true);
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    /**
     * Create the application.
     */
    public Main() {
        initialise();
    }

    /**
     * Initialise the contents of the frame.
     */
    private void initialise() {
        mainFrame = new JFrame();
        mainFrame.setIconImage(Toolkit.getDefaultToolkit().getImage(this.getClass().getClassLoader().getResource("logo.png")));
        mainFrame.setSize(854, 480);
        mainFrame.setMinimumSize(new Dimension(854, 480));
        mainFrame.setLocationRelativeTo(null);
        mainFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        MainPanel mainPanel = new MainPanel();
        mainFrame.getContentPane().add(mainPanel, BorderLayout.CENTER);

        JMenuBar menuBar = new MenuBar(mainFrame, mainPanel);
        mainFrame.getContentPane().add(menuBar, BorderLayout.NORTH);

        JToolBar bottomBar = new BottomToolbar();
        mainFrame.getContentPane().add(bottomBar, BorderLayout.SOUTH);
    }
}
